jm.constants

## Interface Durations

- All Known Subinterfaces:
    JMC, RhythmValues
  All Known Implementing Classes:
    Add, ADSR, AllFGTR, AllPass, Audio, AudioObject, AudioSampleInst, BassStave, Comb, Compressor, CPhrase, Delay, Envelope, FFT, FGTR, Filter, Grain2, GrandStave, Granulator, HelperGUI, Histogram, HistogramFrame, Instrument, InverseFFT, Invert, JGrandStave, JStaveActionHandler, MidiParser, MidiSynth, MidiUtil, Mod, Multiply, Noise, Notate, NoteBuffer, NoteBufferReversed, Oscillator, Part, Phrase, PhraseMatrix, PianoStave, Play, Pluck, PrintOut, Read, ReSample, RTIn, RTPhrase, SampleIn, SampleOut, Score, SketchScoreArea, SMF, Smooth, Splitter, Spring, Stave, StaveActionHandler, StereoPan, TapDelay, TextIn, TrebleStave, Value, View, Volume, WaveFileReader, Wavelet, Waveshaper, WaveTable, Window, Write

      public interface Durations

  An interface storing rhythm value constants.
  See Also:
    `Note`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static double` | `C`
    `static double` | `CD`
    `static double` | `CDD`
    `static double` | `CROTCHET`
    `static double` | `CROTCHET_TRIPLET`
    `static double` | `CT`
    `static double` | `DC`
    `static double` | `DDC`
    `static double` | `DDEN`
    `static double` | `DDHN`
    `static double` | `DDM`
    `static double` | `DDQ`
    `static double` | `DDQN`
    `static double` | `DEMI_SEMI_QUAVER`
    `static double` | `DEMI_SEMI_QUAVER_TRIPLET`
    `static double` | `DEN`
    `static double` | `DHN`
    `static double` | `DM`
    `static double` | `DOTTED_CROTCHET`
    `static double` | `DOTTED_EIGHTH_NOTE`
    `static double` | `DOTTED_HALF_NOTE`
    `static double` | `DOTTED_MINIM`
    `static double` | `DOTTED_QUARTER_NOTE`
    `static double` | `DOTTED_QUAVER`
    `static double` | `DOTTED_SEMI_QUAVER`
    `static double` | `DOTTED_SIXTEENTH_NOTE`
    `static double` | `DOUBLE_DOTTED_CROTCHET`
    `static double` | `DOUBLE_DOTTED_EIGHTH_NOTE`
    `static double` | `DOUBLE_DOTTED_HALF_NOTE`
    `static double` | `DOUBLE_DOTTED_MINIM`
    `static double` | `DOUBLE_DOTTED_QUARTER_NOTE`
    `static double` | `DOUBLE_DOTTED_QUAVER`
    `static double` | `DQ`
    `static double` | `DQN`
    `static double` | `DSN`
    `static double` | `DSQ`
    `static double` | `DSQT`
    `static double` | `EIGHTH_NOTE`
    `static double` | `EIGHTH_NOTE_TRIPLET`
    `static double` | `EN`
    `static double` | `ENT`
    `static double` | `HALF_NOTE`
    `static double` | `HALF_NOTE_TRIPLET`
    `static double` | `HN`
    `static double` | `HNT`
    `static double` | `M`
    `static double` | `MD`
    `static double` | `MDD`
    `static double` | `MINIM`
    `static double` | `MINIM_TRIPLET`
    `static double` | `MT`
    `static double` | `Q`
    `static double` | `QD`
    `static double` | `QDD`
    `static double` | `QN`
    `static double` | `QNT`
    `static double` | `QT`
    `static double` | `QUARTER_NOTE`
    `static double` | `QUARTER_NOTE_TRIPLET`
    `static double` | `QUAVER`
    `static double` | `QUAVER_TRIPLET`
    `static double` | `SB`
    `static double` | `SEMI_QUAVER`
    `static double` | `SEMI_QUAVER_TRIPLET`
    `static double` | `SEMIBREVE`
    `static double` | `SIXTEENTH_NOTE`
    `static double` | `SIXTEENTH_NOTE_TRIPLET`
    `static double` | `SN`
    `static double` | `SNT`
    `static double` | `SQ`
    `static double` | `SQD`
    `static double` | `SQT`
    `static double` | `THIRTYSECOND_NOTE`
    `static double` | `THIRTYSECOND_NOTE_TRIPLET`
    `static double` | `TN`
    `static double` | `TNT`
    `static double` | `TSN`
    `static double` | `TSNT`
    `static double` | `WHOLE_NOTE`
    `static double` | `WN`

- - ### Field Detail

    - #### SB

          static final double SB

      See Also:
        Constant Field Values

    - #### SEMIBREVE

          static final double SEMIBREVE

      See Also:
        Constant Field Values

    - #### WHOLE_NOTE

          static final double WHOLE_NOTE

      See Also:
        Constant Field Values

    - #### WN

          static final double WN

      See Also:
        Constant Field Values

    - #### MD

          static final double MD

      See Also:
        Constant Field Values

    - #### DM

          static final double DM

      See Also:
        Constant Field Values

    - #### DOTTED_MINIM

          static final double DOTTED_MINIM

      See Also:
        Constant Field Values

    - #### DOTTED_HALF_NOTE

          static final double DOTTED_HALF_NOTE

      See Also:
        Constant Field Values

    - #### DHN

          static final double DHN

      See Also:
        Constant Field Values

    - #### MDD

          static final double MDD

      See Also:
        Constant Field Values

    - #### DDM

          static final double DDM

      See Also:
        Constant Field Values

    - #### DOUBLE_DOTTED_MINIM

          static final double DOUBLE_DOTTED_MINIM

      See Also:
        Constant Field Values

    - #### DOUBLE_DOTTED_HALF_NOTE

          static final double DOUBLE_DOTTED_HALF_NOTE

      See Also:
        Constant Field Values

    - #### DDHN

          static final double DDHN

      See Also:
        Constant Field Values

    - #### M

          static final double M

      See Also:
        Constant Field Values

    - #### MINIM

          static final double MINIM

      See Also:
        Constant Field Values

    - #### HALF_NOTE

          static final double HALF_NOTE

      See Also:
        Constant Field Values

    - #### HN

          static final double HN

      See Also:
        Constant Field Values

    - #### MT

          static final double MT

      See Also:
        Constant Field Values

    - #### MINIM_TRIPLET

          static final double MINIM_TRIPLET

      See Also:
        Constant Field Values

    - #### HALF_NOTE_TRIPLET

          static final double HALF_NOTE_TRIPLET

      See Also:
        Constant Field Values

    - #### HNT

          static final double HNT

      See Also:
        Constant Field Values

    - #### C

          static final double C

      See Also:
        Constant Field Values

    - #### CROTCHET

          static final double CROTCHET

      See Also:
        Constant Field Values

    - #### QUARTER_NOTE

          static final double QUARTER_NOTE

      See Also:
        Constant Field Values

    - #### QN

          static final double QN

      See Also:
        Constant Field Values

    - #### CT

          static final double CT

      See Also:
        Constant Field Values

    - #### CROTCHET_TRIPLET

          static final double CROTCHET_TRIPLET

      See Also:
        Constant Field Values

    - #### QUARTER_NOTE_TRIPLET

          static final double QUARTER_NOTE_TRIPLET

      See Also:
        Constant Field Values

    - #### QNT

          static final double QNT

      See Also:
        Constant Field Values

    - #### CD

          static final double CD

      See Also:
        Constant Field Values

    - #### DC

          static final double DC

      See Also:
        Constant Field Values

    - #### DOTTED_CROTCHET

          static final double DOTTED_CROTCHET

      See Also:
        Constant Field Values

    - #### DOTTED_QUARTER_NOTE

          static final double DOTTED_QUARTER_NOTE

      See Also:
        Constant Field Values

    - #### DQN

          static final double DQN

      See Also:
        Constant Field Values

    - #### CDD

          static final double CDD

      See Also:
        Constant Field Values

    - #### DDC

          static final double DDC

      See Also:
        Constant Field Values

    - #### DOUBLE_DOTTED_CROTCHET

          static final double DOUBLE_DOTTED_CROTCHET

      See Also:
        Constant Field Values

    - #### DOUBLE_DOTTED_QUARTER_NOTE

          static final double DOUBLE_DOTTED_QUARTER_NOTE

      See Also:
        Constant Field Values

    - #### DDQN

          static final double DDQN

      See Also:
        Constant Field Values

    - #### Q

          static final double Q

      See Also:
        Constant Field Values

    - #### QUAVER

          static final double QUAVER

      See Also:
        Constant Field Values

    - #### EIGHTH_NOTE

          static final double EIGHTH_NOTE

      See Also:
        Constant Field Values

    - #### EN

          static final double EN

      See Also:
        Constant Field Values

    - #### QD

          static final double QD

      See Also:
        Constant Field Values

    - #### DQ

          static final double DQ

      See Also:
        Constant Field Values

    - #### DOTTED_QUAVER

          static final double DOTTED_QUAVER

      See Also:
        Constant Field Values

    - #### DOTTED_EIGHTH_NOTE

          static final double DOTTED_EIGHTH_NOTE

      See Also:
        Constant Field Values

    - #### DEN

          static final double DEN

      See Also:
        Constant Field Values

    - #### QT

          static final double QT

      See Also:
        Constant Field Values

    - #### QUAVER_TRIPLET

          static final double QUAVER_TRIPLET

      See Also:
        Constant Field Values

    - #### EIGHTH_NOTE_TRIPLET

          static final double EIGHTH_NOTE_TRIPLET

      See Also:
        Constant Field Values

    - #### ENT

          static final double ENT

      See Also:
        Constant Field Values

    - #### DDQ

          static final double DDQ

      See Also:
        Constant Field Values

    - #### QDD

          static final double QDD

      See Also:
        Constant Field Values

    - #### DOUBLE_DOTTED_QUAVER

          static final double DOUBLE_DOTTED_QUAVER

      See Also:
        Constant Field Values

    - #### DOUBLE_DOTTED_EIGHTH_NOTE

          static final double DOUBLE_DOTTED_EIGHTH_NOTE

      See Also:
        Constant Field Values

    - #### DDEN

          static final double DDEN

      See Also:
        Constant Field Values

    - #### SQ

          static final double SQ

      See Also:
        Constant Field Values

    - #### SEMI_QUAVER

          static final double SEMI_QUAVER

      See Also:
        Constant Field Values

    - #### SIXTEENTH_NOTE

          static final double SIXTEENTH_NOTE

      See Also:
        Constant Field Values

    - #### SN

          static final double SN

      See Also:
        Constant Field Values

    - #### SQD

          static final double SQD

      See Also:
        Constant Field Values

    - #### DOTTED_SEMI_QUAVER

          static final double DOTTED_SEMI_QUAVER

      See Also:
        Constant Field Values

    - #### DOTTED_SIXTEENTH_NOTE

          static final double DOTTED_SIXTEENTH_NOTE

      See Also:
        Constant Field Values

    - #### DSN

          static final double DSN

      See Also:
        Constant Field Values

    - #### SQT

          static final double SQT

      See Also:
        Constant Field Values

    - #### SEMI_QUAVER_TRIPLET

          static final double SEMI_QUAVER_TRIPLET

      See Also:
        Constant Field Values

    - #### SIXTEENTH_NOTE_TRIPLET

          static final double SIXTEENTH_NOTE_TRIPLET

      See Also:
        Constant Field Values

    - #### SNT

          static final double SNT

      See Also:
        Constant Field Values

    - #### DSQ

          static final double DSQ

      See Also:
        Constant Field Values

    - #### DEMI_SEMI_QUAVER

          static final double DEMI_SEMI_QUAVER

      See Also:
        Constant Field Values

    - #### THIRTYSECOND_NOTE

          static final double THIRTYSECOND_NOTE

      See Also:
        Constant Field Values

    - #### TN

          static final double TN

      See Also:
        Constant Field Values

    - #### TSN

          static final double TSN

      See Also:
        Constant Field Values

    - #### DSQT

          static final double DSQT

      See Also:
        Constant Field Values

    - #### DEMI_SEMI_QUAVER_TRIPLET

          static final double DEMI_SEMI_QUAVER_TRIPLET

      See Also:
        Constant Field Values

    - #### THIRTYSECOND_NOTE_TRIPLET

          static final double THIRTYSECOND_NOTE_TRIPLET

      See Also:
        Constant Field Values

    - #### TNT

          static final double TNT

      See Also:
        Constant Field Values

    - #### TSNT

          static final double TSNT

      See Also:
        Constant Field Values